Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
WesleyT
Posts: 206
Registered: ‎07-02-2010
My Device: 8320 Curve

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

[ Edited ]

These are steps i found on a blog that really helped.

 

  1. Download the Plugin Note this plugin also installs eclipse to an empty directory.
  2. Install the plug-in to any directory you want to have the eclipse installed.

  3. Start eclipse from the above directory.

  4. In Eclipse got to Window -> Preferences -> Install/Update -> Available Software Sites then add the following site: http://www.blackberry.com/developers/jar/3.5/java1.1
  5. In Eclipse->Help->Install New Software, using the Software site added above and downloads the desired Component Packs.

  6. The above packs are for the different simulator modules

  7. Restart Eclipse after installing plug-ins

 

Reagards

 

Wes

 

P.S Follow this blog for a more detailed explanation on things: Blog Link

 

Please use plain text.
New Contributor
RicQR
Posts: 8
Registered: ‎07-06-2010
My Device: Curve

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

Jared,

 

Thanks:smileyhappy:

 

That worked, still not sure why all the trouble the first time. Anyway, when the plugin finished install I clicked the launch Eclipse check box and it started up just fine.

 

Thanks Much!

Please use plain text.
New Contributor
RicQR
Posts: 8
Registered: ‎07-06-2010
My Device: Curve

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

Orzech,

 

Thanks for the help. URL would not work so I manually installed it instead. Maybe it will start working for updates??

 

Thanks

Please use plain text.
Developer
StevenKader
Posts: 638
Registered: ‎02-03-2010
My Device: Z10 LE

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

Glad to hear.  Now I would do what Wesley recommended :

 

  1. In Eclipse got to Window -> Preferences -> Install/Update -> Available Software Sites then add the following site: http://www.blackberry.com/developers/jar/3.5/java1 .1
  2. In Eclipse->Help->Install New Software, using the Software site added above and downloads the desired Component Packs.



Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Please use plain text.
Developer
JCarty
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

JaredCo,

 

Just to correct your link, its:

 

http://www.blackberry.com/developers/jar/3.5/java1.1

 

You had a space in there that would cause it to fail.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Please use plain text.
Developer
StevenKader
Posts: 638
Registered: ‎02-03-2010
My Device: Z10 LE

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

Thanks for the correction.,

Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Please use plain text.
Developer
ted_hulick
Posts: 229
Registered: ‎11-21-2009
My Device: Not Specified

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

 

I for one understand how you feel/felt...and I'm synpathetic to it...

 

It's frustrating to spend hours on something that should take minutes...if it was either documented correctly or help was available...I've been there already many times....

 

Perhaps - we need a "RANTING  ROOM" here at the Forums to relieve frustration before we post...

 

People are trying to launch a business on these apps - it can be a frustrating experience..

 

I read an article last week where RIMM has 7k apps - iphone 225k....and comparing the

environments...part of the article, RIMM execs stated that #1 priority at RIMM was ramping up

apps for the BB. 

 

Anyway - hang in there...

Please use plain text.
Developer
JCarty
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

I agree at times that it's frustrating but RIM is doing a good job at catching up. The problem is the documentation is not keeping up with it.

 

New users come along and are confused with old videos and instructions on how to set up a 1.0 plug-in when 1.0 is no longer on the site.

 

The site has been changing drastically and I feel that they will get there soon. Once you get things set up, it feels good to start creating and seeing the fruits of your labor.

 

They have also made it easier through the creation of widgets. Once they have a better rendering engine (Webkit), I believe it'll be even easier to create applications on BB than it would on other platforms since all you'd need to know is HTML, CSS and JavaScript (quite a few people already do).

 

Give them time to reorganize. Everything is better now than it was 6 months ago.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Please use plain text.
New Contributor
RicQR
Posts: 8
Registered: ‎07-06-2010
My Device: Curve

Re: HELP FOR CRYING OUT LOUD! INSTALLING JDE PLUGIN!

Ted

 

Good idea!

Please use plain text.